HELP CENTER



Example: "Where is the company located?" or "Can I order your product online?"


YOU ARE HERE:  Main  Arrow_right RipIt  Arrow_right What are the system requirements?

What are the system requirements?

 

To use RipIt, you must be on a Mac and have OSX 10.6 or higher. I'm sorry, there is no version of RipIt for 10.4 or any PC. We never made one, so even if you beg, there's nothing we can do for you. :(

Your disk drive must match the region code of the DVD you are ripping for Ripit to work.


Was this article helpful to you? Accept Yes   Cancel No